local config = {
    width = 1200,
    height = 600,
    title = "Blaze Bolt Engine - Custom Window",
    icon = "assets/icon.png",
    background = {100, 100, 100}
}

function config.set_size(new_width, new_height)
    if new_width > 0 and new_height > 0 then
        config.width = new_width
        config.height = new_height
    end
end

function config.set_title(new_title)
    if type(new_title) == "string" and new_title ~= "" then
        config.title = new_title
    end
end

function config.set_icon(icon_path)
    if type(icon_path) == "string" then
        config.icon = icon_path
    end
end

function config.set_background(r, g, b)
    if r >= 0 and r <= 255 and g >= 0 and g <= 255 and b >= 0 and b <= 255 then
        config.background = {r, g, b}
    end
end

return config